Source: golang-github-ivpusic-grpool
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.3.0
Homepage: https://github.com/ivpusic/grpool
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ivpusic-grpool
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ivpusic-grpool.git
XS-Go-Import-Path: github.com/ivpusic/grpool
Testsuite: autopkgtest-pkg-go

Package: golang-github-ivpusic-grpool-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Lightweight Goroutine pool
 Clients can submit jobs. Dispatcher takes job, and sends it to first
 available worker.  When worker is done with processing job, will be
 returned back to worker pool.
 .
 Number of workers and Job queue size is configurable.
